Package com.independentsoft.calc.engine

# Class WorkbookModel

java.lang.Object
com.independentsoft.calc.engine.WorkbookModel

public final class WorkbookModel extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `List<String>`
  `allSheetNames`
  `ModelBackend`
  `backend`
  `boolean`
  `date1904`
  `Spreadsheet`
  `odfDocument`
  `List<SheetModel>`
  `sheets`
  `Map<String,​SheetModel>`
  `sheetsByName`
  `Map<String,​TableInfo>`
  `tables`
  `Workbook`
  `workbook`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WorkbookModel​(Spreadsheet document)`
  `WorkbookModel​(Workbook workbook)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addName​(NameDef def)`
  `int`
  `findSheetIndex​(String name)`
  `SheetModel`
  `getSheetByAllIndex​(int allIndex)`
  `NameDef`
  `resolveName​(String name, int sheetIndex)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### backend

    public ModelBackend backend

  - ### workbook

    public Workbook workbook

  - ### odfDocument

    public Spreadsheet odfDocument

  - ### date1904

    public boolean date1904

  - ### sheets

    public List<SheetModel> sheets

  - ### sheetsByName

    public Map<String,​SheetModel> sheetsByName

  - ### allSheetNames

    public List<String> allSheetNames

  - ### tables

    public Map<String,​TableInfo> tables

- ## Constructor Details

  - ### WorkbookModel

    public WorkbookModel​(Workbook workbook)

  - ### WorkbookModel

    public WorkbookModel​(Spreadsheet document)

- ## Method Details

  - ### addName

    public void addName​(NameDef def)

  - ### resolveName

    public NameDef resolveName​(String name, int sheetIndex)

  - ### findSheetIndex

    public int findSheetIndex​(String name)

  - ### getSheetByAllIndex

    public SheetModel getSheetByAllIndex​(int allIndex)